wmbattery (2.50-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/copyright
    - Update email address.
  * debian/patches
    - Remove directory; patch applied upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 30 Aug 2015 17:31:19 -0400

wmbattery (2.48-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/clean_config.h.in.patch
    - New patch; remove file created by autoheader to avoid dpkg_source error.
  * debian/patches/escape_manpage_hyphens.patch
    - Remove patch; applied upstream.
  * debian/control
    - Tidy up using wrap-and-sort.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 14 May 2015 10:06:49 -0500

wmbattery (2.47-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 21 Feb 2015 09:18:00 -0600

wmbattery (2.46-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Split Build-Depends into two lines for readability.
  * debian/rules
    - Fix rename syntax error in get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 17 Jan 2015 18:04:29 -0600

wmbattery (2.45-2) unstable; urgency=medium

  * debian/control
    - Set Build-Depends on libapm-dev to [linux-any].
  * debian/rules
    - Add --no-symlink option to uscan in get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 08 Oct 2014 07:13:05 -0500

wmbattery (2.45-1) unstable; urgency=medium

  * New upstream release.
    - Add -x option to run a command when battery is critical (Closes: #543674).
    - Restore BSD support.  In particular, the package will now work on Debian
      GNU/kFreeBSD.
  * debian/copyright
    - Update years and contact info for copyright holders.
    - Add section for debian/*.
    - Expand license text.
  * debian/patches
    - (escape_manpage_hyphens.patch) Escape hyphens in manpage to avoid
      hyphen-used-as-minus-sign lintian warning.
  * debian/watch
    - Remove uversionmangle, which was added only to give a high enough version
      number to supersede binNMUs made before the switch from a native to
      non-native package.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 06 Oct 2014 13:59:56 -0500

wmbattery (2.44+git20140921-1) unstable; urgency=medium

  * New maintainer (Closes: #756544).
  * Switch from native to non-native package.
  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 3.9.6, no changes required.
    - Add Vcs-Browser.
    - Update Homepage and Vcs-Git.
    - Switch Build-Depends from autoconf to dh-autoreconf.
    - Remove unnecessary Build-Depends dpkg-dev and libxt-dev.
  * debian/copyright
    - Add Upstream-*.
    - Update Source.
  * debian/rules
    - Switch to use dh-autoreconf.
    - Remove announcedir target.
    - Add get-orig-source target.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 21 Sep 2014 23:52:13 -0500

wmbattery (2.44) unstable; urgency=medium

  * Better AC detection.
  * Support times with upower and acpi (Closes: #740885).
  * Use the latest upower API (Closes: #748935).
  * Fix upower detection.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 18 Jul 2014 01:14:49 +0200

wmbattery (2.43) unstable; urgency=low

  * Orphan package. It will probably be removed as it does
    not work with current kernels.
  * Add -i to display as icon. Thanks, Tovar (Closes: #732398).

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2014 16:01:34 -0400

wmbattery (2.42) unstable; urgency=medium

  * Stop building with flash-in-the-pan HAL. Instead update ACPI
    interface to use /sys/class/power_supply.
    Note that this needs acpica_version 20011018 (Closes: #613166).
    Patch by Andrew Shadura.
  * Also add support for upower, which is used by default,
    to avoid chasing kernel sysfs changes (Closes: #727102).
    Patch by Andrew Shadura.

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Dec 2013 15:29:41 -0400

wmbattery (2.41) unstable; urgency=low

  * Accumulate packaging modernizations (Closes: #666370).

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Mar 2012 10:20:17 -0400

wmbattery (2.40) unstable; urgency=low

  * Add -s option which can be used to ignore fluctuations
    in reported battery charge (as seen on the EeePC) when
    using -e (Closes: #527870). Patch by Joseph Huang.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 May 2009 16:53:10 -0400

wmbattery (2.39) unstable; urgency=low

  * Use debhelper v7; rules file minimization.
  * Depend on hal since /proc/acpi is gone from the default kernels now
    (Closes: #491099).

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:23:47 -0400

wmbattery (2.38) unstable; urgency=low

  * Magic header file reordering to work around the disgusting
    linux-libc-dev/libc headers conflicts, see #435700 (Closes: #463811).

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Feb 2008 15:08:53 -0500

wmbattery (2.37) unstable; urgency=low

  * Support reconnecting to DBus daemon if it's restarted.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:44:00 -0500

wmbattery (2.36) unstable; urgency=low

  * Support reconnecting to HAL if the connection is closed, as happens
    if the HAL daemon is restarted.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:29:00 -0500

wmbattery (2.35) unstable; urgency=low

  * Don't spew error messages if optional HAL properties are not available.
  * Only check to see if a battery is charging if HAL reports there is AC
    power. This is perhaps not 100% correct in systems with multiple batteries
    that may cross-charge when off AC, but it's faster and it avoids bugs in
    HAL, see #463740.

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:28:37 -0500

wmbattery (2.34) unstable; urgency=low

  * Stop trying to track the kernel's ever changing interfaces and add support
    for querying battery information from HAL. Support for the old kernel
    interfaces (APM, ACPI, etc) is still present, but to use new interfaces such
    2.6.24's /sys/class/power_adapter, you'll have to have DBus and HAL
    (Closes: #456247, #246641, #290712, #393616, #456248).
  * Fix -e option.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Feb 2008 21:36:39 -0500

wmbattery (2.33) unstable; urgency=low

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity
    and never really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:26:38 -0500

wmbattery (2.32) unstable; urgency=low

  * Guard some divisions against division by zero. I've never seen that
    happen and can't reproduce it, but see #454766.
  * Merge ACPI change from procmeter3: Limit string length when reading
    from /proc/.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 14:56:41 -0500

wmbattery (2.31) unstable; urgency=low

  * Further fix for my strange battery. If the present capacity is larger
    than the maximum capacity, rescan to figure out the new max capacity.

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Dec 2007 15:50:29 -0500

wmbattery (2.30) unstable; urgency=low

  * My new battery has a design capacity of 7800 mAh and yet its
    last full capacity was 9488, and its currently charged to 8540.
    Deal with this wonderful miracle^W^Wcrap hardware by taking the max
    of the design or last full capacities.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Oct 2007 22:21:06 -0400

wmbattery (2.29) unstable; urgency=low

  * Update to new menu policy.
  * Move repository from svn to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:14:22 -0400

wmbattery (2.28) unstable; urgency=low

  * Correct off-by-one in acpi.c
  * Put URL to new web page in README.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:44:03 -0400

wmbattery (2.27) unstable; urgency=low

  * Minor bug fix to ACPI code; don't skip over dotfiles.
  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored (Closes: #423612).

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:23:09 -0400

wmbattery (2.26) unstable; urgency=medium

  * Add missing build dependency on libxt-dev (Closes: #379247).

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 22:00:41 -0400

wmbattery (2.25) unstable; urgency=low

  * Merge acpi.c changes for more robust AC power status from sleepd 1.3.0.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2006 14:59:31 -0500

wmbattery (2.24) unstable; urgency=low

  * Current policy.
  * Man page section fix.
  * Menu file move.
  * GPL update.
  * Remove configure script in distclean.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:39:07 -0500

wmbattery (2.23) unstable; urgency=low

  * xlibs-dev transition.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Dec 2005 14:54:25 -0500

wmbattery (2.22) unstable; urgency=low

  * Fix ACPI detection, the code to read /proc/acpi/info was not updated
    to the new cd-less code (Closes: #307278).

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:14:01 -0400

wmbattery (2.21) unstable; urgency=low

  * Merge in changes from procmeter3's version of acpi.c, made by Andrew M.
    Bishop, that avoid the ugly chdir to /proc/acpi and add a bit of error
    checking. Now fully synced with procmeter3 3.4d.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2005 22:58:44 -0400

wmbattery (2.20) unstable; urgency=low

  * Patch from Kris Verbeeck to add a -a option to play an au file
    on low battery, document it in the man page.
  * Unicode dash fixes on man page.
  * Some indentation fixes.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 16:20:39 -0500

wmbattery (2.19) unstable; urgency=low

  * Use the proper new-style ACPI string when looking for AC adaptor status
    (Closes: #220039).
  * Remove the hack I added for my old picturebook, as it causes bad results
    on systems that label a fully charged battery's charging rate as
    unknown and state as charging.
  * Base battery charge calculations for ACPI on design capacity, instead of
    last full capacity. Some batteries may exceed previous last full on
    their next charging, and this also lets you see when you have a damaged
    battery that is not fully charging.
  * If ACPI battery charging state is unknown, but the rate is 0,
    then the battery is charged and on AC power, and the unknown state can
    be ignored. Analysis and patch by "TeXitoi".

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:28:56 -0500

wmbattery (2.18) unstable; urgency=low

  * Sort devices returned by readdir in ACPI, since the order can be random
    (Closes: #204721).

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Aug 2003 01:45:55 -0400

wmbattery (2.17) unstable; urgency=low

  * Make ACPI code put -1 in the time remaining field if the "present rate"
    is 0 (Closes: #204722).
  * Enable internal time estimate code in this case.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Aug 2003 17:21:17 -0400

wmbattery (2.16) unstable; urgency=low

  * Another patch from Hugo Haas, this time it adds time-till-charged
    estimates for systems that lack them. The estimates are on by default,
    though they're only linear guesses and may not be accurate.
  * Display dimmed time estimate field if there is no estimate available.
  * Rename -e switch to -r and force both estimates on.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 16:41:37 -0400

wmbattery (2.15) unstable; urgency=low

  * Patch from Hugo Haas <hugo@larve.net> to change when the icon is
    refreshed for less latency.
  * Patch from Hugo Haas to have wmbattery do its own time left estimates
    if that info is not available from the machine.
  * Add -r switch to force wmbattery to estimate the time left.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Aug 2003 00:00:09 -0400

wmbattery (2.14) unstable; urgency=low

  * Set the cutoff point for old ACPI to 20020214 (was 20020208)
    (Closes: #202083).

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jul 2003 13:44:59 +0200

wmbattery (2.13) unstable; urgency=low

  * Add support for ACPI version 20030109 (2.5 kernel), and generally support
    for changing ACPI strings across versions (Closes: #177249).

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Feb 2003 14:50:21 -0500

wmbattery (2.12) unstable; urgency=low

  * Rebuild w/o /usr/doc link.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:23:13 -0500

wmbattery (2.11) unstable; urgency=low

  * Correct inverted test to see if AC power is online, that was only called
    on 2 battery systems (Closes: #152356).

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2002 16:10:40 -0400

wmbattery (2.10) unstable; urgency=low

  * Deal with ACPI putting nothing but "Present: no" in the info file for the
    second battery of a Thinkpad. This was with kernel 2.4.19-pre10
    (Closes: #149715).
  * Move DEB_BUILD_OPTIONS out of makeinfo.
  * Update to new autoconf.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jun 2002 22:51:45 -0400

wmbattery (2.09) unstable; urgency=low

  * Move makefile stuff out of makeinfo, so it is just definitions.
  * Support DEB_BUILD_OPTIONS.
  * Bump to debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:31:53 -0400

wmbattery (2.08) unstable; urgency=low

  * Don't crash if there is a /proc/acpi/ with no status file.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 May 2002 21:35:06 -0400

wmbattery (2.07) unstable; urgency=low

  * Add symbolic apm info constants to "apm.h", in case they are
    not in the system <apm.h>.
  * Put $(LIBS) last at link time.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Apr 2002 11:49:16 -0400

wmbattery (2.06) unstable; urgency=low

  * Deal with -1 time left from APM (no estimate).
  * Never dim colon, fixes display bug.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Apr 2002 12:30:35 -0400

wmbattery (2.05) unstable; urgency=low

  * Don't display the rather wacky "- :0" on an almost full
    battery on ACPI systems.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Apr 2002 23:19:35 -0400

wmbattery (2.04) unstable; urgency=low

  * Work around stupid ACPI output format bug. Critical battery
    detection now works.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Apr 2002 22:49:43 -0400

wmbattery (2.03) unstable; urgency=low

  * Better error reporting.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 22:57:17 -0400

wmbattery (2.02) unstable; urgency=medium

  * Improve ACPI interface (also used for procmeter3 module now).
  * Fix segfault on non-ACPI systems.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 17:48:41 -0400

wmbattery (2.01) unstable; urgency=low

  * Correct minus sign in bigfont to proper faux-LCD appearance. Also fix
    offset slightly.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 23:34:38 -0500

wmbattery (2.00) unstable; urgency=low

  * Add ACPI support, including battery change detection, and battery
    charging time countdown timer.
  * Add -w parameter to configure delay time.
  * Add -c and -l parameters to allow user control of battery low/critical
    percentages.
  * Use constant defines from apm.h instead of nasty hardcoded numbers.
  * Make sources -Wall clean.
  * Reorganize sources.
  * Remove -s option, just fall back to SPIC if ACPI and APM are not
    available.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 12:53:18 -0500

wmbattery (1.23) unstable; urgency=low

  * Add support for querying for battery status via the sonypi driver for
    Sony laptops that do not have APM support. This is a stop gap until linux
    gets full ACPI support.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 10:25:31 -0500

wmbattery (1.22) unstable; urgency=low

  * Convert to use libapm, instead of the hacked up old version of it
    used before. This probably breaks wmbattery on the BSDs, for now. The
    correct fix for the BSDs will be to get support for their APM
    implementations into libapm. To that end, I have filed a bug with all the
    code I ripped out (Closes: #100027).
  * The -f option also had to be removed. If libapm does not work right on
    systems that needed that flag it's probably a bug in the library.

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Feb 2002 12:47:53 -0500

wmbattery (1.21) unstable; urgency=low

  * Fix typo (Closes: #125485).

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 21:41:52 -0500

wmbattery (1.20) unstable; urgency=low

  * Still show percent sign when blinking low (Closes: #123183).

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Dec 2001 22:44:17 -0500

wmbattery (1.19) unstable; urgency=low

  * Use two more greys in the transition between shadow and highlight
    in the dial. Looks a bit better.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Nov 2001 22:35:37 -0500

wmbattery (1.18) unstable; urgency=low

  * Autoconf 2.50 demands an absolute --mandir=.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 May 2001 15:04:23 -0400

wmbattery (1.17) unstable; urgency=low

  * Patch from Edward Betts <edward@debian.org> to make the icon redraw
    immediately when it gets an expose event. The patch also lowers the CPU
    time used as the icon is not needlessly redrawn every second. Thanks
    Edward (Closes: #97779).
  * Battery blink fixup. (I seem to have inexplicably lost the changelog
    and version involving making the battery blink red on and off when the
    status is critical -- I did this recently because the eye tends to
    notice the motion).

 -- Joey Hess <joeyh@debian.org>  Thu, 17 May 2001 13:16:55 -0400

wmbattery (1.16) unstable; urgency=low

  * Another patch from Kevin Christen, which allows removal of the
    config.{sub,guess} files and does smarter detection.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 19:49:36 -0800

wmbattery (1.15) unstable; urgency=medium

  * Fix icon search path.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Feb 2001 18:00:44 -0800

wmbattery (1.14) unstable; urgency=low

  * OpenBSD port by Kevin Christen <christen@ix.netcom.com>.
  * Use autoconf.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2001 22:06:55 -0800

wmbattery (1.13) unstable; urgency=low

  * Add support for using files other than /proc/apm, via a -f switch
    (See bug #69585).

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 11:52:21 -0700

wmbattery (1.12) unstable; urgency=low

  * Use /usr/share/icons/wmbattery, not /usr/X11R6/share.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Apr 2000 13:16:52 -0700

wmbattery (1.11) unstable; urgency=low

  * Update build dependencies.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:56:32 -0800

wmbattery (1.10) unstable; urgency=low

  * Removed install-stamp target, which can cause obscure problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:32:33 -0700

wmbattery (1.9) unstable; urgency=low

  * Expand the man page to detail exactly what all parts of the display mean.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 11:37:11 -0700

wmbattery (1.8) unstable; urgency=low

  * Integrate with my build system.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 1999 12:47:00 -0700

wmbattery (1.7) unstable; urgency=low

  * FHS.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:57:13 -0700

wmbattery (1.6) unstable; urgency=low

  * FreeBSD support, patch from Motoyuki Kasahara <m-kasahr@sra.co.jp>.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 20:04:10 -0700

wmbattery (1.5) unstable; urgency=low

  * Built w/o that ugly bug source known as fakeroot. Now all files are
    owned by root, not me.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:35:32 -0700

wmbattery (1.4) unstable; urgency=low

  * Let's try again on that patch.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:30:18 -0700

wmbattery (1.3) unstable; urgency=low

  * Patch from Hugo Haas <hugoh@MIT.EDU> to allow geometry support.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 16:18:44 -0700

wmbattery (1.2) unstable; urgency=low

  * Patch from Edwin van Ouwerkerk Moria, may make the charging indicator
    work better on Thinkpads.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jul 1999 09:58:04 -0700

wmbattery (1.1) unstable; urgency=low

  * Fixed man page location.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Feb 1999 14:33:58 -0800

wmbattery (1.0) unstable; urgency=low

  * Initial release.
  * Start with wmapm 1.2 sources. Gutted it and cleaned it up extensively
    and turned it into wmbattery.
  * New faceplate and graphics.
  * Convert manpage to refer to new program name.
  * Reorganize source tree.
  * Split single xpm up into lots of small xpms, loaded separately.
  * Clean up Makefile.
  * Remove README, TODO, INSTALL, etc; I'll write my own.
  * Parse command line with getopt.
  * Make -d work to set the display.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Dec 1998 18:03:21 -0500
